ApiCommand (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiCommand

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCommand

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiCommand
      extends Object

  Provides detailed information about a submitted command. <p>There are two types of commands: synchronous and asynchronous. Synchronous commands complete immediately, and their results are passed back in the returned command object after the execution of an API call. Outside of that returned object, there is no way to check the result of a synchronous command.</p> <p>Asynchronous commands have unique non-negative IDs. They may still be running when the API call returns. Clients can check the status of such commands using the API.</p>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `active(Boolean active)`
    `ApiCommand` | `canRetry(Boolean canRetry)`
    `ApiCommand` | `children(ApiCommandList children)`
    `ApiCommand` | `clusterRef(ApiClusterRef clusterRef)`
    `ApiCommand` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getActive()` Whether the command is currently active.
    `Boolean` | `getCanRetry()` If the command can be retried.
    `ApiCommandList` | `getChildren()` List of child commands.
    `ApiClusterRef` | `getClusterRef()` Reference to the cluster (for cluster commands only).
    `String` | `getEndTime()` The end time, if the command is finished.
    `ApiHostRef` | `getHostRef()` Reference to the host (for host commands only).
    `BigDecimal` | `getId()` The command ID.
    `String` | `getName()` The command name.
    `ApiCommand` | `getParent()` Reference to the parent command, if any.
    `String` | `getResultDataUrl()` URL to the command's downloadable result data, if any exists.
    `String` | `getResultMessage()` If the command is finished, the result message.
    `ApiRoleRef` | `getRoleRef()` Reference to the role (for role commands only).
    `ApiServiceRef` | `getServiceRef()` Reference to the service (for service commands only).
    `String` | `getStartTime()` The start time.
    `Boolean` | `getSuccess()` If the command is finished, whether it was successful.
    `int` | `hashCode()`
    `ApiCommand` | `hostRef(ApiHostRef hostRef)`
    `ApiCommand` | `id(BigDecimal id)`
    `ApiCommand` | `name(String name)`
    `ApiCommand` | `parent(ApiCommand parent)`
    `ApiCommand` | `resultDataUrl(String resultDataUrl)`
    `ApiCommand` | `resultMessage(String resultMessage)`
    `ApiCommand` | `roleRef(ApiRoleRef roleRef)`
    `ApiCommand` | `serviceRef(ApiServiceRef serviceRef)`
    `void` | `setActive(Boolean active)`
    `void` | `setCanRetry(Boolean canRetry)`
    `void` | `setChildren(ApiCommandList children)`
    `void` | `setClusterRef(ApiClusterRef clusterRef)`
    `void` | `setEndTime(String endTime)`
    `void` | `setHostRef(ApiHostRef hostRef)`
    `void` | `setId(BigDecimal id)`
    `void` | `setName(String name)`
    `void` | `setParent(ApiCommand parent)`
    `void` | `setResultDataUrl(String resultDataUrl)`
    `void` | `setResultMessage(String resultMessage)`
    `void` | `setRoleRef(ApiRoleRef roleRef)`
    `void` | `setServiceRef(ApiServiceRef serviceRef)`
    `void` | `setStartTime(String startTime)`
    `void` | `setSuccess(Boolean success)`
    `ApiCommand` | `startTime(String startTime)`
    `ApiCommand` | `success(Boolean success)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCommand

          public ApiCommand()

  - ### Method Detail

    - #### id

          public ApiCommand id(BigDecimal id)

    - #### getId

          public BigDecimal getId()

      The command ID.
      Returns:
        id

    - #### setId

          public void setId(BigDecimal id)

    - #### name

          public ApiCommand name(String name)

    - #### getName

          public String getName()

      The command name.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### startTime

          public ApiCommand startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The start time.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiCommand endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The end time, if the command is finished.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### active

          public ApiCommand active(Boolean active)

    - #### getActive

          public Boolean getActive()

      Whether the command is currently active.
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### success

          public ApiCommand success(Boolean success)

    - #### getSuccess

          public Boolean getSuccess()

      If the command is finished, whether it was successful.
      Returns:
        success

    - #### setSuccess

          public void setSuccess(Boolean success)

    - #### resultMessage

          public ApiCommand resultMessage(String resultMessage)

    - #### getResultMessage

          public String getResultMessage()

      If the command is finished, the result message.
      Returns:
        resultMessage

    - #### setResultMessage

          public void setResultMessage(String resultMessage)

    - #### resultDataUrl

          public ApiCommand resultDataUrl(String resultDataUrl)

    - #### getResultDataUrl

          public String getResultDataUrl()

      URL to the command's downloadable result data, if any exists.
      Returns:
        resultDataUrl

    - #### setResultDataUrl

          public void setResultDataUrl(String resultDataUrl)

    - #### clusterRef

          public ApiCommand clusterRef(ApiClusterRef clusterRef)

    - #### getClusterRef

          public ApiClusterRef getClusterRef()

      Reference to the cluster (for cluster commands only).
      Returns:
        clusterRef

    - #### setClusterRef

          public void setClusterRef(ApiClusterRef clusterRef)

    - #### serviceRef

          public ApiCommand serviceRef(ApiServiceRef serviceRef)

    - #### getServiceRef

          public ApiServiceRef getServiceRef()

      Reference to the service (for service commands only).
      Returns:
        serviceRef

    - #### setServiceRef

          public void setServiceRef(ApiServiceRef serviceRef)

    - #### roleRef

          public ApiCommand roleRef(ApiRoleRef roleRef)

    - #### getRoleRef

          public ApiRoleRef getRoleRef()

      Reference to the role (for role commands only).
      Returns:
        roleRef

    - #### setRoleRef

          public void setRoleRef(ApiRoleRef roleRef)

    - #### hostRef

          public ApiCommand hostRef(ApiHostRef hostRef)

    - #### getHostRef

          public ApiHostRef getHostRef()

      Reference to the host (for host commands only).
      Returns:
        hostRef

    - #### setHostRef

          public void setHostRef(ApiHostRef hostRef)

    - #### parent

          public ApiCommand parent(ApiCommand parent)

    - #### getParent

          public ApiCommand getParent()

      Reference to the parent command, if any.
      Returns:
        parent

    - #### setParent

          public void setParent(ApiCommand parent)

    - #### children

          public ApiCommand children(ApiCommandList children)

    - #### getChildren

          public ApiCommandList getChildren()

      List of child commands. Only available in the full view. <p> The list contains only the summary view of the children.
      Returns:
        children

    - #### setChildren

          public void setChildren(ApiCommandList children)

    - #### canRetry

          public ApiCommand canRetry(Boolean canRetry)

    - #### getCanRetry

          public Boolean getCanRetry()

      If the command can be retried. Available since V11
      Returns:
        canRetry

    - #### setCanRetry

          public void setCanRetry(Boolean canRetry)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.